name: Deploy Vault CMS

on:
  push:
    branches:
      - master

jobs:
  deploy:
    runs-on: ubuntu-latest

    container:
      volumes:
        - /opt:/opt

    steps:
      - name: Deploy
        shell: bash
        run: |
          set -e

          cd /opt/owicms-src

          git fetch origin
          git reset --hard origin/master

          cd /opt/owicms

          docker compose up -d --build

          docker image prune -f